//
//      Copyright 2014, 2015 Timothy Evans
//
//      This file is part of gsecraif.
//
//      gsecraif is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
// help_text
// to be included in print_help.h
//
#ifndef HELP_TEXT_H
#define HELP_TEXT_H
// define some string constants:
#define PURPOSE "The utility gsecraif is a tool to split and recombine files in a secure manner."
#define USAGE "Usage: gsecraif [OPTIONS]... [FILES]..."
#define DESCRIPTION "Input is expected from standard-in, output is to standard-out.\nDefault action is to split standard-in in to a number of component files.\nNames may be given for the component files; if no names are given, a prefix is\nused followed by a three digit number starting with 000."
#define OPTION_HELP      "-h, --help           Print help and exit"
#define OPTION_VERSION   "-V, --version        Print version and exit"
#define OPTION_COMBINE   "-c, --combine        Combine files"
#define OPTION_DEBUG     "-d, --debug=INT      Debug level N (Default is 0 - no output)"
#define OPTION_NFILES    "-n, --nfiles=INT     Number of component files (default is 3)"
#define OPTION_PREFIX    "-p, --prefix=STRING  Set the file prfix (Default is split)"
#define OPTION_ROTATE    "-r, --rotate=INT     Rotate N bits"
#define OPTION_TRANSPOSE "-t, --transpose      Transpose bits (rotate is ignored)"
#define OPTION_HASH      "-#, --hash           Print # characters (every 1024 bytes)"
#endif
